cURL
curl -X GET 'https://api.telegent.com/v1.0/products?ProductId=PRID-d9e74d70-3ca8-40f3-a415' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ProductId": "PRID-4384E69B-3194-9943-F839-20E477C8E399",
"SKU": "VAS035",
"Description": "Fraud Detection + Blocking",
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "VAS",
"SubType": "AI Operator",
"Cost": 1,
"BillingFrequency": "MRC",
"Active": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Products
Product Details
Retrieve detailed information about a specific product by its ProductId. Returns SKU, description, type, cost, and billing frequency.
What this does: Returns the product details including SKU, description, type, cost, and billing frequency. Use this to retrieve the PRID- ID needed when adding products to packages.
Next steps:
- Add this product to a package —
POST /v1.0/packages/items/add - Update product —
POST /v1.0/products/update
GET
/
v1.0
/
products
cURL
curl -X GET 'https://api.telegent.com/v1.0/products?ProductId=PRID-d9e74d70-3ca8-40f3-a415' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ProductId": "PRID-4384E69B-3194-9943-F839-20E477C8E399",
"SKU": "VAS035",
"Description": "Fraud Detection + Blocking",
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "VAS",
"SubType": "AI Operator",
"Cost": 1,
"BillingFrequency": "MRC",
"Active": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Query Parameters
The unique product ID to retrieve details for
Response
Product Details
The response is of type object.
⌘I